/*generalized layout*/

#mainhold {
  min-height: 80vh;
  max-width: 1400px;
  margin: auto;
  padding-right: 2em;
  padding-left: 2em;
}

main {
  margin-top: 81px;
}

section {
  margin-top: 140px;
}

.marginset {
  margin-bottom: 2.6em;
}

.grid12 {
  display: grid;
  width: 100%;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
}

table {
  border: 1px solid var(--frame);
  border-collapse: collapse;
  color: var(--steel);
  font-family: 'PublicSans';
}

th {
  border: 1px solid var(--frame);
  padding: 0.5em;
  text-align: left;
}

tr {
  border: 1px solid var(--frame);
}

td {
  border: 1px solid var(--frame);
  padding: 0em 0.5em 0em 0.5em ;
}

ol {
  color: var(--steel);
  margin-left: 1em;
  line-height: 2.2rem;
}

ul {
  color: var(--steel);
  line-height: 2.2rem;
  margin-left: 1em;
}

li {
  line-height: 2.2rem;
}

blockquote {
  margin-left: 1em;
  border-left: 1px solid var(--primary75);
  padding-left: 1em;
}

blockquote>p {
  line-height: 2.2em;
  color: var(--mono125);
}

.tagsHold {
  margin-bottom: 2em;
}

.tagsHold>* {
  margin-bottom: 1em;
}

.hero {
  width: 100%;
  color: black;
  padding-bottom: 100px;
}

input:focus {
  box-shadow: none;
}

h2 {
  line-height: 1.4em;
}

hr {
  border-top: 1px solid var(--mono50);
}

.altbutton {
  background: var(--mono00); padding: 0.5em 2em; border-radius: 0.3em; font-size: 1em; outline: currentcolor none medium; border: 1px solid var(--mono50); color: var(--primary75); box-shadow: var(--mono150) 3px 3px 4px; cursor: pointer; 
  margin-top: 1em;
}

.altbutton:hover {
  color: var(--primary100);
  box-shadow: var(--mono175) 3px 3px 4px; 
}

.label {
  font-size: 0.65em;
  text-transform: uppercase;
  color: var(--mono150)
}


.vimeoStyle {
  position: absolute; 
  top: 0; 
  left: 0; 
  width: 100%; 
  height: 100%;
}

.vimeoHold {
  padding:56.25% 0 0 0;
  position:relative;
}

.sectionTitle {
  text-align: center;
}

.columnDown {
  display: flex;
  flex-direction: column;
  margin: 2em;
}

.columnDown>* {
  margin-bottom: 2em;
}


@media screen and (max-width: 900px) {
  #mainhold {
    margin-top: 80px;
  }

  .grid12 {
    display: block;
  }
}

#emailInput {
  border: 1px solid;
  border-color: var(--frame);
  padding: 0.5em;
  border-radius: 0.5em;
  font-size: 1em;
  box-shadow: none;
  transition: background .3s, border .3s, box-shadow .2s;
  color: var(--slate);
  width: 100%;
}

#emailInput:hover {
  border: 1px solid;
  border-color: var(--primary);
  padding: 0.5em;
  border-radius: 0.5em;
  font-size: 1em;
  box-shadow: none;
  transition: background .3s, border .3s, box-shadow .2s;
}

#emailInput:focus {
  border: 1px solid;
  border-color: var(--primary);
  padding: 0.5em;
  border-radius: 0.5em;
  font-size: 1em;
  box-shadow: 0 0 0 2px var(--firmament);
  transition:  background .3s, border .3s, box-shadow .2s;
}

#emailButton {
  background: var(--primary);
  padding: 0.5em 2em 0.5em 2em;
  border-radius: 0.3em;
  font-size: 1em;
  outline: none;
  border: none;
  color: white;
  box-shadow: 3px 3px 4px #E7E7E7;
  cursor: pointer;
  transition: background .3s, border .3s, box-shadow .2s;
  margin-left: 1em;
}

#emailButton:hover {
  background: var(--naval);
  padding: 0.5em 2em 0.5em 2em;
  border-radius: 0.3em;
  font-size: 1em;
  border: none;
  outline: none;
  color: white;
  box-shadow: 3px 3px 4px var(--frame);
  cursor: pointer;
}

#emailHold {
  width: 100%;
  padding-top: 2em;
}

#fullEmail {
  width: 100%;
  padding-top: 1em;
  display: flex;
}

.row {
  content: "";
  display: table;
  clear: both;
  width: 100%;
}

.col-25 {
  float: left;
  width: 136px;
}

.col-75 {
  float: left;
  width: 60%;
}

  /* Code blocks */
  pre[class*="language-"],
  :not(pre) > code[class*="language-"] {
      background: var(--frame);
  }

  pre[class*="language-"] {
    padding: 1em;
    margin: .5em 0;
    overflow: auto;
    border: none;
    border-radius: 8px;
    box-shadow: none;
}

pre {
  background: var(--mono175);
  padding: 1em;
    margin: .5em 0;
    overflow: auto;
    border: none;
    border-radius: 8px;
    box-shadow: none;
}

/* Inline code */
:not(pre) > code[class*="language-"] {
    border-radius: 8px;
    white-space: normal;
    padding: 1em;
}

.token.comment,
.token.prolog,
.token.doctype,
.token.cdata {
    color: #ACACAC;
}

.token.punctuation {
    opacity: .7;
}

.token.namespace {
    opacity: .7;
}

.token.property,
.token.tag,
.token.boolean,
.token.number,
.token.constant,
.token.symbol {
    color: var(--steel);
}

.token.selector,
.token.attr-name,
.token.string,
.token.char,
.token.builtin,
.token.inserted {
    color: var(--primary);
}

.token.operator,
.token.entity,
.token.url,
.language-css .token.string,
.style .token.string,
.token.variable {
    color: var(--groto);
}

.token.atrule,
.token.attr-value,
.token.keyword {
    color: var(--royal);
}

.token.regex,
.token.important {
    color: var(--groto);
}

.token.important,
.token.bold {
    font-weight: bold;
}
.token.italic {
    font-style: italic;
}

.token.entity {
    cursor: help;
}

.token.deleted {
    color: red;
}


/*Index*/

 .indexMainHold {
  display: flex;
  align-items: flex-end;
  justify-content: space-between;
  margin-bottom: 2em;
  margin-top: 90px;
  padding-top: 2em;
 }

 .indexHeadlineHold {
  display: grid;
  max-width: 1000px;
  align-items: center;
  margin: auto;
 }

 .indexWritingHold {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  width: 100%;
  grid-template-columns: 1fr 1fr 1fr;
  column-gap: 2em;
  flex-grow: 1;
  flex-shrink: 0;
 }

 .indexWritingChild {
  margin-bottom: 2em;
  max-width: 400px;
  min-width: 200px;
  flex-shrink: 0;
  flex-grow: 1;
  flex-basis: 30%;
 }

 .indexWritingChildb {
  max-width: 400px;
  min-width: 200px;
  flex-shrink: 0;
  flex-grow: 1;
  flex-basis: 30%;
 }


 .indexAHold {
  grid-area: 1 / 1 / 2 / 6;
  text-align: center;
 }

 .indexWritingTimeHold {
  display: grid;
  width: 100%;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
  align-items: center;
  margin-bottom: 4em;
 }

 .allLinkHold {
   display: flex;
   margin-top: 2em;
   justify-content: center;
 }

 .allLinkHold>* {
   margin-left: 1em;
   margin-right: 1em;
 }


 @media screen and (max-width: 900px) {
  .indexHeadlineHold {
    display: grid;
    grid-template-columns: 1fr;
    width: 100%;
  }

  .indexWritingHold {
    grid-template-columns: 1fr 1fr;
  }

  .indexWritingChild {
    flex-basis: 45%;
   }

  .indexAHold {
    grid-area: 2 / 1 / 3 / 1;
   }

   .indexWritingTimeHold {
    display: block;
   }
 }

 /*uses*/

.useGrid {
  margin-top: 1em;
  margin-bottom: 4em;
}

 /*community*/

 .communityGridHold {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  grid-gap: 6em;
  width: 100%;
  padding-left: 8.25%;
  padding-right: 8.25%;
} 

.communityTopGrid {
  grid-area : 1 / 2 / 1 / 6;
}

.communitySideGrid {
  grid-area: 1 / 8 / 1 / 11;
  align-self: center;
}

.communityProfileHold {
  margin-bottom: 2em;
}

.communityFlex {
  display: flex;
  flex-wrap: wrap;
  max-width: 100%; 
  margin: auto;
  margin-top: 2em;
  margin-bottom: 2em;
}

.communityCtaHold {
  width: 100%; 
  display: grid; 
  grid-template-columns: 1fr 1fr; 
  align-items: center;
  grid-gap: 2em;
  margin-bottom: 4em;
}

@media screen and (max-width: 900px) {
  .communityGridHold {
    display: block;
    padding-left: 1em;
    padding-right: 1em;
  } 

  .communityTopGrid {
    padding: 0em 1em 0em 1em;
  }

  .communitySideGrid {
    padding: 1em 1em 0em 1em;
  }

  .communityProfileHold {
    padding: 0em;
  }

  .communityFlex {
    display: flex;
    flex-wrap: wrap;
  }

}


.writingHold>li {
  margin-bottom: 2em;
  list-style-type: none;
}

.writingDetails {
  display: flex;
}

.writingDetails>* {
  margin-right: 1em;
}

.imghold {
  grid-area: 1 / 1 / 2 / 13;
  width: 100%;
  height: 40vw;
  max-height: 500px;
  overflow: hidden;
}

.titleGrid {
  grid-area: 1 / 5 / 2 / 9;
  padding-right: 2em;
  align-self: end;
}

#writingTopMargin {
  margin-top: 4em;
}

.writingGridHold {
  grid-area: 1 / 4 / 2 / 5;
  padding-right: 2em;
  min-width: 680px;
}

.headimg {
  width: 100%;
  background-blend-mode: multiply;
}

.linkHold {
  border-radius: 8px;
  background: #fff;
}

.sentenceWrap {
  padding: 0.8em;
  border: 1px solid var(--frame);
  border-radius: 0.5em;
  background: white;
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
  transition: box-shadow .3s;
}

.sentenceWrap:hover {
  box-shadow: 0px 6px 6px rgba(0, 0, 0, 0.25);
}

.sticky {
  width: 280px;
  padding-bottom: 2em;
  position: -webkit-sticky;
  position: sticky;
  top: 140px;
  height: 420px;
  margin-bottom: -60px;
  grid-area: 1 / 1 / 2 / 3;
}

.sideCTA {
  width: 280px;
  padding-bottom: 2em;
  padding-top: 45px;
  position: -webkit-sticky;
  position: sticky;
  top: 45px;
  height: 200px;
  background: white;
  margin-bottom: -60px;
  grid-area: 1 / 1 / 2 / 3;
}

.appearance {
  animation-name: ease;
  opacity: 1;
  animation-duration: 1s;
  animation-fill-mode: backwards;
}

.sentenceHold {
  position: absolute;
  margin-top: -340px;
  margin-left: -130px;
  animation-name: appear;
  animation-duration: 2s;
  animation-delay: 1s;
  animation-fill-mode: backwards;
}

.textm {
  margin-top: 1.2em;
  font-size: 1.1em;
  line-height: 1.6rem;
  font-family: "LibreBaskerville", serif;
  counter-reset: sidequote;
}

.textm>* {
  margin-bottom: 2rem;
  line-height: 2.2em;
}

.textm>*>img {
  width: 100%;
}

.textm>*>*>img {
  width: 100%;
}

.textm>table>tbody>tr>td>img {
  width: 100%;
}

.textm>ul>li>p {
  line-height: 2.2em;
}

.noUnderline {
  text-decoration: none;
}

.noUnderline:hover {
  cursor: pointer;
}

.sideQuote {
  color: var(--primary);
  float: right;
  clear: right;
  margin-right: -310px;
  font-size: 0.8em;
  font-family: "publicSans", sans-serif;
  padding: 0.2em;
  line-height: 1.5em;
  width: 280px;
}

.underQuote {
  color: var(--primary);
  float: right;
  clear: right;
  margin-right: -310px;
  font-size: 0.8em;
  font-family: "publicSans", sans-serif;
  padding: 0.2em;
  line-height: 1.5em;
  width: 280px;
}

.sideQuote::before{
  content: counter(sidequote) ".\A";
  white-space: pre;
  font-size: 2em;
  padding-bottom: 1em;
}

.underQuote::before{
  content: counter(sidequote) ".\A";
  white-space: pre;
  font-size: 2em;
  padding-bottom: 1em;
}

.quoteNum::after {
  counter-increment: sidequote;
  content: " " counter(sidequote);
  color: var(--primary);
  vertical-align: super;
  font-size: 0.7em;
  cursor: pointer;
}

.build {
  font-size: 8vw;
  font-family: "LibreBaskerville", serif;
  opacity: 1;
  animation-name: appear;
  animation-duration: 2s;
  animation-fill-mode: backwards;
}

.previewImg {
  width: 100%;
}

.featuredtitle {
  margin-top: 0.5em;
  margin-bottom: 0.5em;
  font-family: "LibreBaskerville", serif;
  font-size: 1.3em;
  color: black;
  font-weight: 200;
}

.animationOne {
  opacity: 1;
  animation-name: appear;
  animation-duration: 2s;
  animation-fill-mode: backwards;
}

.animationTwo {
  opacity: 1;
  animation-name: appear;
  animation-duration: 2s;
  animation-delay: 0.5s;
  animation-fill-mode: backwards;
}

#animationThree {
  opacity: 1;
  animation-name: appear;
  animation-duration: 2s;
  animation-delay: 1.5s;
  animation-fill-mode: backwards;
}

@keyframes appear {
  0% {
    opacity: 0;
  }
}

@keyframes front {
  0% {
    opacity: 0;
  }
}

@keyframes ease {
  0% {
    display: none;
    opacity: 0;
  }
}

.outputHold {
  padding-top: 3.6em;
}

.inputoutputGrid {
  display: grid;
  grid-template-columns: 320px 4em 4em 4em 4em;
  border: 1px solid var(--frame);
  border-radius: 0.5em;
  background: white;
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
  animation-name: front;
  animation-duration: 2s;
  animation-fill-mode: backwards;
}

.inputoutputGrid>div {
  padding: 1em;
  border-left: 1px solid var(--frame);
  border-bottom: 1px solid var(--frame);
}

.ctaHold {
  padding: 2em;
  margin-top: 12em;
  margin-bottom: 4em;
}

.smallT {
  font-size: 0.8em;
}

.contentHold {
  display: grid;
  grid-template-columns: 45% auto 45%;
  opacity: 1;
  animation-name: appear;
  animation-duration: 2s;
  animation-delay: 1s;
  animation-fill-mode: backwards;
  text-align: left;
  margin-top: 2em;
}

.two-three {
  grid-area: 1 / 1 / 2 / 3;
  position: -webkit-sticky;
  position: sticky;
  top: 0;
  padding-top: 81px;
  opacity: 1;
  animation-name: appear;
  animation-duration: 2s;
  animation-fill-mode: backwards;
}

.seven-eight {
  grid-area: 1 / 4 / 2 / 5;
  padding-top: 45px;
  opacity: 1;
  animation-name: appear;
  animation-duration: 2s;
  animation-fill-mode: backwards;
}

/*posts*/

.WritingGrid12 {
  display: grid;
  width: 100%;
  grid-template-columns: 140px 140px 50px 648px auto;
}

@media screen and (max-width: 1340px) {
  .sideQuote {
    display: none;
  }

  .underQuote {
    color: var(--primary);
    float: left;
    clear: both;
    margin-right: 0px;
    font-size: 0.8em;
    font-family: "publicSans", sans-serif;
    padding: 0.2em;
    line-height: 1.5em;
    width: 100%;
    animation-name: appear;
    animation-duration: 1s;
    animation-fill-mode: backwards;
  }

  .underQuote::before{
    content: counter(sidequote) ". ";
    font-size: 1em;
  }
  
  .build {
    font-size: 9vw;
  }

}


@media screen and (max-width: 1000px) {

  .build {
    font-size: 10vw;
  }

  .WritingGrid12 {
    grid-template-columns: 1fr;
    width: 100%;
    margin-top: 1em;
    padding-left: 0em;
    padding-right: 0em;
  }

  .sideCTA {
    grid-area: 2 / 1 / 3 / 4;
    padding-left: 0em;
    padding-right: 0em;
    padding-bottom: 2em;
    height: auto;
    position: relative;
    top: 0;
    padding-top: 0;
    width: 100%;
  }

  .writingGridHold {
    grid-area: 3 / 1 / 4 / 1;
    padding-top: 4em;
    padding-right: 0em;
    min-width: 100%;
    padding-left: 1em;
    padding-right: 1em;
  }

  .sticky {
    width: 100%;
    position: relative;
    height: auto;
    grid-area: 1 / 1 / 2 / 1;
    padding-top: 0px;
    padding: 0em;
    top: 0;
    z-index: 2;
    margin: 0;
  }

  

  

  .seven-eight {
    grid-area: 3 / 1 / 4 / 2;
    padding-right: 0em;
    padding-left: 0em;
  }
}

.picHeight {
  height: 500px;
}

.ctaPicHeight {
  height: 24vw;
}

.holdingteampreview {
  width: 100%;
  overflow: scroll;
  display: flex;
  padding-top: 72px;
  padding-bottom: 72px;
  border-top: 1px solid var(--mono50);
}

.holdingteampreview > div {
  margin-right: 4em;
}

@media screen and (max-width: 900px) {

  #mainhold {
    width: 100vw;
    margin: auto;
  }

  .picHeight {
    height: 30vw;
  }

  .ctaPicHeight {
    height: 46vw;
  }

  main {
    width: 100%;
  }

  .WritingGrid12 {
    grid-template-columns: 1fr;
    width: 100%;
    margin-top: 1em;
    padding-left: 0em;
    padding-right: 0em;
  }

  #writingTopMargin {
    margin-top: 1em;
  }

  .imghold {
    grid-area: 1 / 1 / 2 / 1;
    width: 100%;
    height: 50vw;
    overflow: hidden;
    background: var(--firmament);
  }
  
  .titleGrid {
    grid-area: 2 / 1 / 3 / 1;
    align-self: end;
    padding: 1em;
    padding-bottom: 0em;
  }

  .sticky {
    width: 100%;
    position: relative;
    height: auto;
    grid-area: 1 / 1 / 2 / 1;
    padding-top: 0px;
    padding: 0em;
    top: 0;
    z-index: 2;
  }

  .sideCTA {
    grid-area: 2 / 1 / 3 / 4;
    padding-left: 0em;
    padding-right: 0em;
    padding-bottom: 2em;
    height: auto;
    position: relative;
    top: 0;
    padding-top: 0;
    width: 100%;
  }

  .variableSidea {
    display: none;
  }

  .seven-eight {
    grid-area: 3 / 1 / 4 / 2;
    padding-right: 0em;
    padding-left: 0em;
  }

  #bottomMargin {
    padding-bottom: 5em;
  }
  
  .writingGridHold {
    grid-area: 3 / 1 / 4 / 1;
    padding-top: 2em;
    padding-right: 0em;
    min-width: 100%;
    padding-left: 0em;
    padding-right: 0em;
  }

  .textm {
    font-size: 1em;
  }

  .contentHold {
    display: block;
  }

  
  

}




@media screen and (max-width: 650px) {
  #mainhold {
    padding-right: 1em;
    padding-left: 1em;
  }

  .writingGridHold {
    padding-left: 0em;
    padding-right: 0em;
  }

  .build {
    font-size: 12vw;
  }

  .picHeight {
    height: 30vw;
  }

  .ctaPicHeight {
    height: 46vw;
  }

  .imghold {
    height: 60vw;
  }

  .communityCtaHold {
    width: 100%; 
    display: block; 
  }
  
  .datesHold {
    margin-top: 4em;
  }
  
 }

 @media screen and (max-width: 450px) {
  .indexWritingHold {
    padding-right: 0em;
    display: block;
  }

  .indexWritingChild {
    flex-basis: 50%;
   }

  .build {
    font-size: 16vw;
  }

  .picHeight {
    height: 60vw;
  }

  .ctaPicHeight {
    height: 48vw;
  }

 }

 